#ifndef _TEXTURE_H_
#define _TEXTURE_H_


typedef struct
{
	uHWORD old_bytes[3];
	uHWORD *addr;
	uHWORD *addr2;
	uHWORD *addr3;
} t_old_texture;

typedef struct
{
	sHWORD	TexID;
	int		TexMode;
	uWORD	TexColor;
	int		offset;
	int		NextID;
	int		Palette;
} t_index_texture;

extern int SetActiveTexture();

// Texture Modes
#define AlphaT0								0x01
#define Tex									0x02
#define Prim_Sub_Tex						0x04
#define Env_Sub_Tex							0x08
#define YUV									0x10
#define Tex_Sub_Prim						0x14
#define Tex_Sub_Env							0x18
#define Tex_Sub_Env_Mult_Prim_Add_Env		0x40
#define Tex_Sub_Env_Mult_Tex_Add_Prim		0x41
#define Prim_Sub_Env_Mult_Tex_Add_Env		0x42
#define Env_Sub_Tex_Mult_EnvAlpha_Add_Tex	0x43
#define Alpha_Mult_Prim						0x80
#define Alpha_Mult_Env						0x81
#define AlphaT0Red							0x100
#endif