//#define CHECK_NEWPC
#define INC_AMOUNT 6000
#define VTRACE_TIME 625000

//#define CHECK_INTS_FIRST
#include "interrupts.h"
#define INT_HANDLE_CompareInterrupt() rs4300i_CompareInterrupt()
#define INT_HANDLE_CheckCPU() rs4300i_Check_CPU_Interrupts()
#define INT_HANDLE_CheckMI() rs4300i_Check_MI_Interrupts()
#define INT_HANDLE_SI() rs4300i_MI_Intr_SI()
#define INT_HANDLE_SP() rs4300i_MI_Intr_SP()
#define INT_HANDLE_AI() rs4300i_MI_Intr_AI()
#define INT_HANDLE_VI() rs4300i_MI_Intr_VI()
#define INT_HANDLE_DP() rs4300i_MI_Intr_DP()
#define INT_HANDLE_PI() rs4300i_MI_Intr_PI()


void StopMe()
{
	DWORD Stop=1;
}

WORD dynaBranchJ(BYTE *cp,DWORD NewPC)
{
	DWORD CompiledPC;
	DWORD Page;
	BYTE *fixup1Ptr;
	WORD fixup1Len;
	DWORD Offset;

	NewPC+=0x80000000;
	Page=  (NewPC&0x003fc000)>>14;
	Offset=(NewPC&0x00003ffc)>>2;


	WORD l=0;
	if(Page==dynaCurPage)
	{
		CompiledPC=(DWORD) dynaPageTable[Page].Offset[Offset];
		l+=LOAD_REG_DWORD(cp+l,PC_PTR,(BYTE *)&NewPC);
		l+=JMP_LONG(cp+l,CompiledPC);
	}
	else
	{
		l+=LOAD_REG_DWORD(cp+l,PC_PTR,(BYTE *)&NewPC);
		l+=STORE_REG(cp+l,242,PC_PTR);
		l+=RETURN(cp+l);
	}
	return(l);
}

WORD dynaBranchJR(BYTE *cp,BYTE op0)
{
	WORD l=0;
	l+=LOAD_REG_FROM_RBANK(cp+l,PC_PTR,op0*8);
	l+=STORE_REG(cp+l,242,PC_PTR);
	l+=RETURN(cp+l);
	return(l);
}

WORD dynaForceInts(BYTE *cp)
{
	BYTE *fixup1Ptr;
	WORD fixup1Len;
	WORD l=0;

	l+=PUSH_REGISTER(cp+l,NATIVE_0);
	l+=PUSH_REGISTER(cp+l,NATIVE_1);
	l+=PUSH_REGISTER(cp+l,REG_PTR);
	l+=NATIVE_REG_TO_REG(cp+l,NATIVE_0,PC_PTR);
	l+=LOAD_REG_FROM_RBANK(cp+l,NATIVE_1,1960);
	l+=STORE_REG_TO_RBANK(cp+l,NATIVE_0,1960);
	DWORD tmp=INC_AMOUNT;
	l+=LOAD_REG_DWORD(cp+l,NATIVE_0,(BYTE *)&tmp);
	l+=SRL_REG_IMM(cp+l,NATIVE_0,2);
//	l+=ADD_REG_TO_ABS_DWORD(cp+l,NATIVE_0,ICountPtr);
	l+=ZERO_REG(cp+l,NATIVE_0);
//	l+=ADC_REG_TO_DWORD(cp+l,NATIVE_0,ICountPtr+4);
	l+=STORE_REG(cp+l,242,PC_PTR);
	l+=LOAD_REG_DWORD(cp+l,NATIVE_0,(BYTE *)&helperCheckIntsAddress);
	l+=CALL_REGISTER(cp+l,NATIVE_0);
	l+=LOAD_REG_FROM_RBANK(cp+l,PC_PTR,242*8);
	l+=CMP_REG_IMM(cp+l,PC_PTR,0x80000180);
	l+=POP_REGISTER(cp+l,REG_PTR);
	l+=POP_REGISTER(cp+l,NATIVE_1);
	l+=POP_REGISTER(cp+l,NATIVE_0);
	fixup1Ptr=cp+l;
	fixup1Len=l;
	l+=JNZ_SHORT(cp+l,0);
	l+=RETURN(cp+l);
	JNZ_SHORT(fixup1Ptr,(l-fixup1Len)-2);
	return(l);
}

WORD dynaOpILoop(BYTE *cp,DWORD NewPC)
{
	WORD l=0;

	l+=INC_PC_COUNTER(cp+l);

	DWORD tmp=INC_AMOUNT;
	l+=LOAD_REG_IMM(cp+l,NATIVE_0,tmp);
	l+=ADD_REG_TO_DWORD(cp+l,NATIVE_0,ICOUNT);
	dynaOpCode=dynaNextOpCode;
	l+=MainInstruction[dynaNextOpCode>>26](cp+l);
	l+=LOAD_REG_IMM(cp+l,PC_PTR,NewPC);
	l+=STORE_REG(cp+l,242,PC_PTR);
	l+=RETURN(cp+l);
	return(l);
}

WORD dynaOpEret(BYTE *cp)
{
	WORD l=0;

	l+=INC_PC_COUNTER(cp+l);

//	l+=PUSH_REGISTER(cp+l,NATIVE_0);
//	l+=LOAD_REG_DWORD(cp+l,NATIVE_0,(BYTE *)&SneekyAddress);
//	l+=CALL_REGISTER(cp+l,NATIVE_0);
//	l+=POP_REGISTER(cp+l,NATIVE_0);

	l+=AND_DWORD_WITH_IMM(cp+l,0xfffffffd,CPR0+12*8);
	l+=LOAD_REG_FROM_RBANK(cp+l,PC_PTR,CPR0+14*8);
	l+=ZERO_REG(cp+l,NATIVE_0);
	l+=STORE_REG_TO_RBANK(cp+l,NATIVE_0,1972);
	l+=STORE_REG_TO_RBANK(cp+l,NATIVE_0,1944);
	l+=STORE_REG(cp+l,242,PC_PTR);
	l+=RETURN(cp+l);
	return(l);
}

void dynaCheckInts()
{
	if(reg.delay!=NO_DELAY)
		return;
/*
	int dist=(reg.pc-reg.LastPC)/4;
	if(dist==0) dist++;
	if((dist<2048)&&(dist>0))
		reg.ICount+=dist;
	else
		reg.ICount+=4;
	reg.LastPC=reg.pc;
*/
	if(reg.NextIntCount <= reg.ICount)
	{
		if((reg.NextIntCount & 0xffffffff) == reg.CompareCount)
		{
//			reg.CompareCount=0;
			INT_HANDLE_CompareInterrupt();
			reg.NextIntCount=reg.VTraceCount;
			return;
		}
		INT_HANDLE_VI();
		reg.NextIntCount=reg.ICount+(VTRACE_TIME);
		reg.NextIntCount&=0xffffffff;
		if(reg.NextIntCount<reg.ICount)
			reg.ICount=0;
		reg.VTraceCount=reg.NextIntCount;
		if(((reg.NextIntCount&0xffffffff)>reg.CompareCount)&&(reg.CompareCount))
		{
			reg.NextIntCount&=0xffffffff00000000;
			reg.NextIntCount|=(uDWORD)reg.CompareCount;
		}
		if(reg.pc==0x80000180)
			DWORD stop=1;
//		return;
	}
	if(reg.do_or_check_sthg)
	{
		if(reg.do_or_check_sthg & RS4300I_DO_SI_INTERRUPT)
		{
			INT_HANDLE_SI();
		}

		if(reg.do_or_check_sthg & RS4300I_DO_DP_INTERRUPT)
		{
			INT_HANDLE_DP();
		}

		if(reg.do_or_check_sthg & RS4300I_DO_SP_INTERRUPT)
		{
			INT_HANDLE_SP();
		}

		if(reg.do_or_check_sthg & RS4300I_DO_AI_INTERRUPT)
		{
			INT_HANDLE_AI();
		}

		if(reg.do_or_check_sthg & RS4300I_DO_PI_INTERRUPT)
		{
			INT_HANDLE_PI();
		}

		if(reg.do_or_check_sthg & RS4300I_CHECK_MI_INTERRUPTS)
		{
			INT_HANDLE_CheckMI();
		}

		if(reg.do_or_check_sthg & RS4300I_CHECK_CPU_INTERRUPTS)
		{
			INT_HANDLE_CheckCPU();
		}
		reg.do_or_check_sthg = RS4300I_DO_OR_CHECK_NOTHING;
	}
}

void dynaChangeControl(DWORD NewPC)
{
	dynaCheckInts();
}


WORD dynaOpJ(BYTE *cp,DWORD NewPC)
{
	WORD l=0;

	DWORD CompiledPC;
	DWORD Page;
	DWORD Offset;
	NewPC|=0x80000000;
	Page=  (NewPC&0x003fc000)>>14;
	Offset=(NewPC&0x00003ffc)>>2;
	CompiledPC=(DWORD) dynaPageTable[Page].Offset[Offset];

#ifdef CHECK_INTS_FIRST
	BYTE *fixup1Ptr;
	WORD fixup1Len;

	l+=STORE_REG_TO_RBANK(cp+l,PC_PTR,242*8);
	l+=CALL_CHECKINTS(cp+l);
	l+=LOAD_REG_FROM_RBANK(cp+l,PC_PTR,242*8);
	l+=CMP_REG_IMM(cp+l,PC_PTR,0x80000180);
	fixup1Ptr=cp+l;
	fixup1Len=l;
	l+=JNE_SHORT(cp+l,0);
	l+=RETURN(cp+l);
	JNE_SHORT(fixup1Ptr,(l-fixup1Len)-2);
#endif


	l+=INC_PC_COUNTER(cp+l);

	dynaOpCode=dynaNextOpCode;
	l+=MainInstruction[dynaNextOpCode>>26](cp+l);
	if(Page==dynaCurPage)
	{
		CompiledPC=(DWORD) dynaPageTable[Page].Offset[Offset];
		l+=LOAD_REG_IMM(cp+l,PC_PTR,NewPC);
		l+=STORE_REG_TO_RBANK(cp+l,PC_PTR,242*8);
		l+=JMP_LONG(cp+l,CompiledPC);
	}
	else
	{
		l+=LOAD_REG_IMM(cp+l,PC_PTR,NewPC);
		l+=STORE_REG(cp+l,242,PC_PTR);
		l+=RETURN(cp+l);
	}
	return(l);
}


WORD dynaOpJr(BYTE *cp,BYTE op0)
{
	WORD l=0;

#ifdef CHECK_INTS_FIRST
	BYTE *fixup1Ptr;
	WORD fixup1Len;

	l+=STORE_REG_TO_RBANK(cp+l,PC_PTR,242*8);
	l+=CALL_CHECKINTS(cp+l);
	l+=LOAD_REG_FROM_RBANK(cp+l,PC_PTR,242*8);
	l+=CMP_REG_IMM(cp+l,PC_PTR,0x80000180);
	fixup1Ptr=cp+l;
	fixup1Len=l;
	l+=JNE_SHORT(cp+l,0);
	l+=RETURN(cp+l);
	JNE_SHORT(fixup1Ptr,(l-fixup1Len)-2);
#endif


	l+=INC_PC_COUNTER(cp+l);

	dynaOpCode=dynaNextOpCode;
	l+=LOAD_REG_FROM_RBANK(cp+l,NATIVE_0,op0*8);
	l+=PUSH_REGISTER(cp+l,NATIVE_0);
	l+=STORE_REG(cp+l,242,PC_PTR);
	l+=MainInstruction[dynaNextOpCode>>26](cp+l);
	l+=POP_REGISTER(cp+l,PC_PTR);
	l+=STORE_REG(cp+l,242,PC_PTR);
	l+=RETURN(cp+l);
	return(l);
}

WORD dynaOpJalr(BYTE *cp,BYTE op0,BYTE op1)
{
	WORD l=0;

#ifdef CHECK_INTS_FIRST
	BYTE *fixup1Ptr;
	WORD fixup1Len;

	l+=STORE_REG_TO_RBANK(cp+l,PC_PTR,242*8);
	l+=CALL_CHECKINTS(cp+l);
	l+=LOAD_REG_FROM_RBANK(cp+l,PC_PTR,242*8);
	l+=CMP_REG_IMM(cp+l,PC_PTR,0x80000180);
	fixup1Ptr=cp+l;
	fixup1Len=l;
	l+=JNE_SHORT(cp+l,0);
	l+=RETURN(cp+l);
	JNE_SHORT(fixup1Ptr,(l-fixup1Len)-2);
#endif


	l+=INC_PC_COUNTER(cp+l);


	dynaOpCode=dynaNextOpCode;
	l+=LOAD_REG_FROM_RBANK(cp+l,NATIVE_0,op1*8);
	l+=PUSH_REGISTER(cp+l,NATIVE_0);
	l+=MainInstruction[dynaNextOpCode>>26](cp+l);
//	l+=LOAD_REG_IMM(cp+l,PC_PTR,dynaPC+8);
	l+=STORE_REG_TO_RBANK(cp+l,PC_PTR,op0*8);
	l+=POP_REGISTER(cp+l,PC_PTR);
	l+=STORE_REG(cp+l,242,PC_PTR);
	l+=RETURN(cp+l);
	return(l);
}


WORD dynaOpJal(BYTE *cp,DWORD NewPC)
{
	DWORD CompiledPC;
	DWORD Page;
	DWORD Offset;
	BYTE *fixup1Ptr;
	WORD fixup1Len;

	NewPC+=0x80000000;
	Page=  (NewPC&0x003fc000)>>14;
	Offset=(NewPC&0x00003ffc)>>2;


	WORD l=0;

#ifdef CHECK_INTS_FIRST
	l+=STORE_REG_TO_RBANK(cp+l,PC_PTR,242*8);
	l+=CALL_CHECKINTS(cp+l);
	l+=LOAD_REG_FROM_RBANK(cp+l,PC_PTR,242*8);
	l+=CMP_REG_IMM(cp+l,PC_PTR,0x80000180);
	fixup1Ptr=cp+l;
	fixup1Len=l;
	l+=JNE_SHORT(cp+l,0);
	l+=RETURN(cp+l);
	JNE_SHORT(fixup1Ptr,(l-fixup1Len)-2);
#endif


	l+=STORE_REG_TO_RBANK(cp+l,PC_PTR,242*8);
	l+=CALL_CHECKINTS(cp+l);
	l+=LOAD_REG_FROM_RBANK(cp+l,PC_PTR,242*8);
	l+=CMP_REG_IMM(cp+l,PC_PTR,0x80000180);
	fixup1Ptr=cp+l;
	fixup1Len=l;
	l+=JNE_SHORT(cp+l,0);
	l+=RETURN(cp+l);
	JNE_SHORT(fixup1Ptr,(l-fixup1Len)-2);
	
	l+=INC_PC_COUNTER(cp+l);

	dynaOpCode=dynaNextOpCode;
	l+=MainInstruction[dynaNextOpCode>>26](cp+l);
	if(Page==dynaCurPage)
	{
		CompiledPC=(DWORD) dynaPageTable[Page].Offset[Offset];
		l+=STORE_REG_TO_RBANK(cp+l,PC_PTR,31*8);
		l+=LOAD_REG_IMM(cp+l,PC_PTR,NewPC);
		l+=STORE_REG_TO_RBANK(cp+l,PC_PTR,242*8);
		l+=JMP_LONG(cp+l,CompiledPC);
	}
	else
	{
		l+=STORE_REG_TO_RBANK(cp+l,PC_PTR,31*8);
		l+=LOAD_REG_IMM(cp+l,PC_PTR,NewPC);
		l+=STORE_REG(cp+l,242,PC_PTR);
		l+=RETURN(cp+l);
	}

/*
	WORD l=0;
	l+=INC_PC_COUNTER(cp+l);


	dynaOpCode=dynaNextOpCode;
	l+=MainInstruction[dynaNextOpCode>>26](cp+l);
//	l+=LOAD_REG_IMM(cp+l,PC_PTR,dynaPC+8);
	l+=STORE_REG_TO_RBANK(cp+l,PC_PTR,31*8);
	l+=LOAD_REG_IMM(cp+l,PC_PTR,NewPC);
	l+=STORE_REG(cp+l,242,PC_PTR);
	l+=RETURN(cp+l);
*/
	return(l);
}

WORD dynaOpBeq(BYTE *cp,BYTE op0,BYTE op1,DWORD NewPC)
{
	WORD l=0;
	BYTE *fixup1Ptr,*fixup2Ptr;
	WORD fixup1Len,fixup2Len;

#ifdef CHECK_INTS_FIRST
	l+=STORE_REG_TO_RBANK(cp+l,PC_PTR,242*8);
	l+=CALL_CHECKINTS(cp+l);
	l+=LOAD_REG_FROM_RBANK(cp+l,PC_PTR,242*8);
	l+=CMP_REG_IMM(cp+l,PC_PTR,0x80000180);
	fixup1Ptr=cp+l;
	fixup1Len=l;
	l+=JNE_SHORT(cp+l,0);
	l+=RETURN(cp+l);
	JNE_SHORT(fixup1Ptr,(l-fixup1Len)-2);
#endif


	l+=INC_PC_COUNTER(cp+l);

	l+=dynaLoadReg(cp+l,op0);
	l+=CMP_DWORD_WITH_REG(cp+l,dynaMapToNative[op0].Reg,op1*8);
	fixup1Ptr=cp+l;
	fixup1Len=l;
	l+=JNE_SHORT(cp+l,0);
	l+=PUSH_DWORD(cp+l,NewPC);
	fixup2Ptr=cp+l;
	fixup2Len=l;
	l+=JMP_SHORT(cp+l,0);
	JNE_SHORT(fixup1Ptr,(l-fixup1Len)-2);
	l+=PUSH_DWORD(cp+l,dynaPC+8);
	JMP_SHORT(fixup2Ptr,(l-fixup2Len)-2);

	dynaOpCode=dynaNextOpCode;

	l+=MainInstruction[dynaNextOpCode>>26](cp+l);
	l+=POP_REGISTER(cp+l,PC_PTR);
	l+=STORE_REG(cp+l,242,PC_PTR);
	l+=RETURN(cp+l);
	return(l);
}


WORD dynaOpBeqILoop(BYTE *cp,BYTE op0,BYTE op1,DWORD NewPC)
{
	WORD l=0;
	BYTE *fixup1Ptr,*fixup2Ptr;
	WORD fixup1Len,fixup2Len;

#ifdef CHECK_INTS_FIRST

	l+=STORE_REG_TO_RBANK(cp+l,PC_PTR,242*8);
	l+=CALL_CHECKINTS(cp+l);
	l+=LOAD_REG_FROM_RBANK(cp+l,PC_PTR,242*8);
	l+=CMP_REG_IMM(cp+l,PC_PTR,0x80000180);
	fixup1Ptr=cp+l;
	fixup1Len=l;
	l+=JNE_SHORT(cp+l,0);
	l+=RETURN(cp+l);
	JNE_SHORT(fixup1Ptr,(l-fixup1Len)-2);
#endif


	l+=dynaLoadReg(cp+l,op0);
	l+=CMP_DWORD_WITH_REG(cp+l,dynaMapToNative[op0].Reg,op1*8);
	fixup1Ptr=cp+l;
	fixup1Len=l;
	l+=JNE_SHORT(cp+l,0);
	l+=PUSH_DWORD(cp+l,NewPC);
	l+=ADD_IMM_TO_RBANK(cp+l,INC_AMOUNT,ICOUNT);
	fixup2Ptr=cp+l;
	fixup2Len=l;
	l+=JMP_SHORT(cp+l,0);
	JNE_SHORT(fixup1Ptr,(l-fixup1Len)-2);
	l+=PUSH_DWORD(cp+l,dynaPC+8);
	JMP_SHORT(fixup2Ptr,(l-fixup2Len)-2);

	dynaOpCode=dynaNextOpCode;

	l+=MainInstruction[dynaNextOpCode>>26](cp+l);
	l+=POP_REGISTER(cp+l,PC_PTR);
	l+=STORE_REG(cp+l,242,PC_PTR);
	l+=RETURN(cp+l);
	return(l);
}

WORD dynaOpBne(BYTE *cp,BYTE op0,BYTE op1,DWORD NewPC)
{
	WORD l=0;
	BYTE *fixup1Ptr,*fixup2Ptr;
	WORD fixup1Len,fixup2Len;

#ifdef CHECK_INTS_FIRST

	l+=STORE_REG_TO_RBANK(cp+l,PC_PTR,242*8);
	l+=CALL_CHECKINTS(cp+l);
	l+=LOAD_REG_FROM_RBANK(cp+l,PC_PTR,242*8);
	l+=CMP_REG_IMM(cp+l,PC_PTR,0x80000180);
	fixup1Ptr=cp+l;
	fixup1Len=l;
	l+=JNE_SHORT(cp+l,0);
	l+=RETURN(cp+l);
	JNE_SHORT(fixup1Ptr,(l-fixup1Len)-2);
#endif


	l+=INC_PC_COUNTER(cp+l);

	l+=dynaLoadReg(cp+l,op0);
	l+=CMP_DWORD_WITH_REG(cp+l,dynaMapToNative[op0].Reg,op1*8);
	fixup1Ptr=cp+l;
	fixup1Len=l;
	l+=JE_SHORT(cp+l,0);
	l+=PUSH_DWORD(cp+l,NewPC);
	fixup2Ptr=cp+l;
	fixup2Len=l;
	l+=JMP_SHORT(cp+l,0);
	JE_SHORT(fixup1Ptr,(l-fixup1Len)-2);
	l+=PUSH_DWORD(cp+l,dynaPC+8);
	JMP_SHORT(fixup2Ptr,(l-fixup2Len)-2);

	dynaOpCode=dynaNextOpCode;

	l+=MainInstruction[dynaNextOpCode>>26](cp+l);
	l+=POP_REGISTER(cp+l,PC_PTR);
	l+=STORE_REG(cp+l,242,PC_PTR);
	l+=RETURN(cp+l);
	return(l);
}

WORD dynaOpBneILoop(BYTE *cp,BYTE op0,BYTE op1,DWORD NewPC)
{
	WORD l=0;
	BYTE *fixup1Ptr,*fixup2Ptr;
	WORD fixup1Len,fixup2Len;

#ifdef CHECK_INTS_FIRST

	l+=STORE_REG_TO_RBANK(cp+l,PC_PTR,242*8);
	l+=CALL_CHECKINTS(cp+l);
	l+=LOAD_REG_FROM_RBANK(cp+l,PC_PTR,242*8);
	l+=CMP_REG_IMM(cp+l,PC_PTR,0x80000180);
	fixup1Ptr=cp+l;
	fixup1Len=l;
	l+=JNE_SHORT(cp+l,0);
	l+=RETURN(cp+l);
	JNE_SHORT(fixup1Ptr,(l-fixup1Len)-2);
#endif


	l+=INC_PC_COUNTER(cp+l);

	l+=dynaLoadReg(cp+l,op0);
	l+=CMP_DWORD_WITH_REG(cp+l,dynaMapToNative[op0].Reg,op1*8);
	fixup1Ptr=cp+l;
	fixup1Len=l;
	l+=JE_SHORT(cp+l,0);
	l+=PUSH_DWORD(cp+l,NewPC);
	l+=ADD_IMM_TO_RBANK(cp+l,INC_AMOUNT,ICOUNT);
	fixup2Ptr=cp+l;
	fixup2Len=l;
	l+=JMP_SHORT(cp+l,0);
	JE_SHORT(fixup1Ptr,(l-fixup1Len)-2);
	l+=PUSH_DWORD(cp+l,dynaPC+8);
	JMP_SHORT(fixup2Ptr,(l-fixup2Len)-2);

	dynaOpCode=dynaNextOpCode;

	l+=MainInstruction[dynaNextOpCode>>26](cp+l);
	l+=POP_REGISTER(cp+l,PC_PTR);
	l+=STORE_REG(cp+l,242,PC_PTR);
	l+=RETURN(cp+l);
	return(l);
}

WORD dynaOpBlez(BYTE *cp,BYTE op0,DWORD NewPC)
{
#ifdef CHECK_NEWPC
	if(NewPC>0x80400000)
		StopMe();
#endif
	WORD l=0;
	BYTE *fixup1Ptr,*fixup2Ptr;
	WORD fixup1Len,fixup2Len;

#ifdef CHECK_INTS_FIRST

	l+=STORE_REG_TO_RBANK(cp+l,PC_PTR,242*8);
	l+=CALL_CHECKINTS(cp+l);
	l+=LOAD_REG_FROM_RBANK(cp+l,PC_PTR,242*8);
	l+=CMP_REG_IMM(cp+l,PC_PTR,0x80000180);
	fixup1Ptr=cp+l;
	fixup1Len=l;
	l+=JNE_SHORT(cp+l,0);
	l+=RETURN(cp+l);
	JNE_SHORT(fixup1Ptr,(l-fixup1Len)-2);
#endif


	l+=INC_PC_COUNTER(cp+l);

	l+=dynaLoadReg(cp+l,op0);
	l+=CMP_REG_IMM(cp+l,dynaMapToNative[op0].Reg,0);
	fixup1Ptr=cp+l;
	fixup1Len=l;
	l+=JG_SHORT(cp+l,0);
	l+=PUSH_DWORD(cp+l,NewPC);
	fixup2Ptr=cp+l;
	fixup2Len=l;
	l+=JMP_SHORT(cp+l,0);
	JG_SHORT(fixup1Ptr,(l-fixup1Len)-2);
	l+=PUSH_DWORD(cp+l,dynaPC+8);
	JMP_SHORT(fixup2Ptr,(l-fixup2Len)-2);

	dynaOpCode=dynaNextOpCode;

	l+=MainInstruction[dynaNextOpCode>>26](cp+l);
	l+=POP_REGISTER(cp+l,PC_PTR);
	l+=STORE_REG(cp+l,242,PC_PTR);
	l+=RETURN(cp+l);
	return(l);
}


WORD dynaOpBgtz(BYTE *cp,BYTE op0,DWORD NewPC)
{
#ifdef CHECK_NEWPC
	if(NewPC>0x80400000)
		StopMe();
#endif
	WORD l=0;
	BYTE *fixup1Ptr,*fixup2Ptr;
	WORD fixup1Len,fixup2Len;


#ifdef CHECK_INTS_FIRST

	l+=STORE_REG_TO_RBANK(cp+l,PC_PTR,242*8);
	l+=CALL_CHECKINTS(cp+l);
	l+=LOAD_REG_FROM_RBANK(cp+l,PC_PTR,242*8);
	l+=CMP_REG_IMM(cp+l,PC_PTR,0x80000180);
	fixup1Ptr=cp+l;
	fixup1Len=l;
	l+=JNE_SHORT(cp+l,0);
	l+=RETURN(cp+l);
	JNE_SHORT(fixup1Ptr,(l-fixup1Len)-2);
#endif

	l+=INC_PC_COUNTER(cp+l);

	l+=dynaLoadReg(cp+l,op0);
	l+=CMP_REG_IMM(cp+l,dynaMapToNative[op0].Reg,0);
	fixup1Ptr=cp+l;
	fixup1Len=l;
	l+=JLE_SHORT(cp+l,0);
	l+=PUSH_DWORD(cp+l,NewPC);
	fixup2Ptr=cp+l;
	fixup2Len=l;
	l+=JMP_SHORT(cp+l,0);
	JLE_SHORT(fixup1Ptr,(l-fixup1Len)-2);
	l+=PUSH_DWORD(cp+l,dynaPC+8);
	JMP_SHORT(fixup2Ptr,(l-fixup2Len)-2);

	dynaOpCode=dynaNextOpCode;

	l+=MainInstruction[dynaNextOpCode>>26](cp+l);
	l+=POP_REGISTER(cp+l,PC_PTR);
	l+=STORE_REG(cp+l,242,PC_PTR);
	l+=RETURN(cp+l);
	return(l);
}


WORD dynaOpBltz(BYTE *cp,BYTE op0,DWORD NewPC)
{
#ifdef CHECK_NEWPC
	if(NewPC>0x80400000)
		StopMe();
#endif
	WORD l=0;
	BYTE *fixup1Ptr,*fixup2Ptr;
	WORD fixup1Len,fixup2Len;

#ifdef CHECK_INTS_FIRST

	l+=STORE_REG_TO_RBANK(cp+l,PC_PTR,242*8);
	l+=CALL_CHECKINTS(cp+l);
	l+=LOAD_REG_FROM_RBANK(cp+l,PC_PTR,242*8);
	l+=CMP_REG_IMM(cp+l,PC_PTR,0x80000180);
	fixup1Ptr=cp+l;
	fixup1Len=l;
	l+=JNE_SHORT(cp+l,0);
	l+=RETURN(cp+l);
	JNE_SHORT(fixup1Ptr,(l-fixup1Len)-2);
#endif


	l+=INC_PC_COUNTER(cp+l);

	l+=dynaLoadReg(cp+l,op0);
	l+=CMP_REG_IMM(cp+l,dynaMapToNative[op0].Reg,0);
	fixup1Ptr=cp+l;
	fixup1Len=l;
	l+=JGE_SHORT(cp+l,0);
	l+=PUSH_DWORD(cp+l,NewPC);
	fixup2Ptr=cp+l;
	fixup2Len=l;
	l+=JMP_SHORT(cp+l,0);
	JGE_SHORT(fixup1Ptr,(l-fixup1Len)-2);
	l+=PUSH_DWORD(cp+l,dynaPC+8);
	JMP_SHORT(fixup2Ptr,(l-fixup2Len)-2);

	dynaOpCode=dynaNextOpCode;

	l+=MainInstruction[dynaNextOpCode>>26](cp+l);
	l+=POP_REGISTER(cp+l,PC_PTR);
	l+=STORE_REG(cp+l,242,PC_PTR);
	l+=RETURN(cp+l);
	return(l);
}


WORD dynaOpBgez(BYTE *cp,BYTE op0,DWORD NewPC)
{
#ifdef CHECK_NEWPC
	if(NewPC>0x80400000)
		StopMe();
#endif
	WORD l=0;
	BYTE *fixup1Ptr,*fixup2Ptr;
	WORD fixup1Len,fixup2Len;

#ifdef CHECK_INTS_FIRST

	l+=STORE_REG_TO_RBANK(cp+l,PC_PTR,242*8);
	l+=CALL_CHECKINTS(cp+l);
	l+=LOAD_REG_FROM_RBANK(cp+l,PC_PTR,242*8);
	l+=CMP_REG_IMM(cp+l,PC_PTR,0x80000180);
	fixup1Ptr=cp+l;
	fixup1Len=l;
	l+=JNE_SHORT(cp+l,0);
	l+=RETURN(cp+l);
	JNE_SHORT(fixup1Ptr,(l-fixup1Len)-2);
#endif


	l+=INC_PC_COUNTER(cp+l);

	l+=dynaLoadReg(cp+l,op0);
	l+=CMP_REG_IMM(cp+l,dynaMapToNative[op0].Reg,0);
	fixup1Ptr=cp+l;
	fixup1Len=l;
	l+=JL_SHORT(cp+l,0);
	l+=PUSH_DWORD(cp+l,NewPC);
	fixup2Ptr=cp+l;
	fixup2Len=l;
	l+=JMP_SHORT(cp+l,0);
	JL_SHORT(fixup1Ptr,(l-fixup1Len)-2);
	l+=PUSH_DWORD(cp+l,dynaPC+8);
	JMP_SHORT(fixup2Ptr,(l-fixup2Len)-2);

	dynaOpCode=dynaNextOpCode;

	l+=MainInstruction[dynaNextOpCode>>26](cp+l);
	l+=POP_REGISTER(cp+l,PC_PTR);
	l+=STORE_REG(cp+l,242,PC_PTR);
	l+=RETURN(cp+l);
	return(l);
}


WORD dynaOpBeql(BYTE *cp,BYTE op0,BYTE op1,DWORD NewPC)
{
#ifdef CHECK_NEWPC
	if(NewPC>0x80400000)
		StopMe();
#endif
	WORD l=0;
	BYTE *fixup1Ptr,*fixup2Ptr;
	WORD fixup1Len,fixup2Len;

#ifdef CHECK_INTS_FIRST

	l+=STORE_REG_TO_RBANK(cp+l,PC_PTR,242*8);
	l+=CALL_CHECKINTS(cp+l);
	l+=LOAD_REG_FROM_RBANK(cp+l,PC_PTR,242*8);
	l+=CMP_REG_IMM(cp+l,PC_PTR,0x80000180);
	fixup1Ptr=cp+l;
	fixup1Len=l;
	l+=JNE_SHORT(cp+l,0);
	l+=RETURN(cp+l);
	JNE_SHORT(fixup1Ptr,(l-fixup1Len)-2);
#endif


	l+=INC_PC_COUNTER(cp+l);

	l+=dynaLoadReg(cp+l,op0);
	l+=CMP_DWORD_WITH_REG(cp+l,dynaMapToNative[op0].Reg,op1*8);
	fixup1Ptr=cp+l;
	fixup1Len=l;
	l+=JNE_SHORT(cp+l,0);
	l+=PUSH_DWORD(cp+l,NewPC);
	dynaOpCode=dynaNextOpCode;
	l+=MainInstruction[dynaNextOpCode>>26](cp+l);
	fixup2Ptr=cp+l;
	fixup2Len=l;
	l+=JMP_SHORT(cp+l,0);
	JNE_SHORT(fixup1Ptr,(l-fixup1Len)-2);
	l+=PUSH_DWORD(cp+l,dynaPC+8);
	JMP_SHORT(fixup2Ptr,(l-fixup2Len)-2);

	l+=POP_REGISTER(cp+l,PC_PTR);
	l+=STORE_REG(cp+l,242,PC_PTR);
	l+=RETURN(cp+l);
	return(l);
}


WORD dynaOpBnel(BYTE *cp,BYTE op0,BYTE op1,DWORD NewPC)
{
#ifdef CHECK_NEWPC
	if(NewPC>0x80400000)
		StopMe();
#endif
	WORD l=0;
	BYTE *fixup1Ptr,*fixup2Ptr;
	WORD fixup1Len,fixup2Len;


#ifdef CHECK_INTS_FIRST

	l+=STORE_REG_TO_RBANK(cp+l,PC_PTR,242*8);
	l+=CALL_CHECKINTS(cp+l);
	l+=LOAD_REG_FROM_RBANK(cp+l,PC_PTR,242*8);
	l+=CMP_REG_IMM(cp+l,PC_PTR,0x80000180);
	fixup1Ptr=cp+l;
	fixup1Len=l;
	l+=JNE_SHORT(cp+l,0);
	l+=RETURN(cp+l);
	JNE_SHORT(fixup1Ptr,(l-fixup1Len)-2);
#endif

	l+=INC_PC_COUNTER(cp+l);

	l+=dynaLoadReg(cp+l,op0);
	l+=CMP_DWORD_WITH_REG(cp+l,dynaMapToNative[op0].Reg,op1*8);
	fixup1Ptr=cp+l;
	fixup1Len=l;
	l+=JE_SHORT(cp+l,0);
	dynaOpCode=dynaNextOpCode;
	l+=MainInstruction[dynaNextOpCode>>26](cp+l);
	l+=PUSH_DWORD(cp+l,NewPC);
	fixup2Ptr=cp+l;
	fixup2Len=l;
	l+=JMP_SHORT(cp+l,0);
	JE_SHORT(fixup1Ptr,(l-fixup1Len)-2);
	l+=PUSH_DWORD(cp+l,dynaPC+8);
	JMP_SHORT(fixup2Ptr,(l-fixup2Len)-2);


	l+=POP_REGISTER(cp+l,PC_PTR);
	l+=STORE_REG(cp+l,242,PC_PTR);
	l+=RETURN(cp+l);
	return(l);
}

WORD dynaOpBlezl(BYTE *cp,BYTE op0,DWORD NewPC)
{
#ifdef CHECK_NEWPC
	if(NewPC>0x80400000)
		StopMe();
#endif
	WORD l=0;
	BYTE *fixup1Ptr,*fixup2Ptr;
	WORD fixup1Len,fixup2Len;

#ifdef CHECK_INTS_FIRST

	l+=STORE_REG_TO_RBANK(cp+l,PC_PTR,242*8);
	l+=CALL_CHECKINTS(cp+l);
	l+=LOAD_REG_FROM_RBANK(cp+l,PC_PTR,242*8);
	l+=CMP_REG_IMM(cp+l,PC_PTR,0x80000180);
	fixup1Ptr=cp+l;
	fixup1Len=l;
	l+=JNE_SHORT(cp+l,0);
	l+=RETURN(cp+l);
	JNE_SHORT(fixup1Ptr,(l-fixup1Len)-2);
#endif


	l+=INC_PC_COUNTER(cp+l);

	l+=dynaLoadReg(cp+l,op0);
	l+=CMP_REG_IMM(cp+l,dynaMapToNative[op0].Reg,0);
	fixup1Ptr=cp+l;
	fixup1Len=l;
	l+=JG_SHORT(cp+l,0);
	l+=PUSH_DWORD(cp+l,NewPC);
	dynaOpCode=dynaNextOpCode;
	l+=MainInstruction[dynaNextOpCode>>26](cp+l);
	fixup2Ptr=cp+l;
	fixup2Len=l;
	l+=JMP_SHORT(cp+l,0);
	JG_SHORT(fixup1Ptr,(l-fixup1Len)-2);
	l+=PUSH_DWORD(cp+l,dynaPC+8);
	JMP_SHORT(fixup2Ptr,(l-fixup2Len)-2);

	l+=POP_REGISTER(cp+l,PC_PTR);
	l+=STORE_REG(cp+l,242,PC_PTR);
	l+=RETURN(cp+l);
	return(l);
}


WORD dynaOpBgtzl(BYTE *cp,BYTE op0,DWORD NewPC)
{
#ifdef CHECK_NEWPC
	if(NewPC>0x80400000)
		StopMe();
#endif
	WORD l=0;
	BYTE *fixup1Ptr,*fixup2Ptr;
	WORD fixup1Len,fixup2Len;

#ifdef CHECK_INTS_FIRST

	l+=STORE_REG_TO_RBANK(cp+l,PC_PTR,242*8);
	l+=CALL_CHECKINTS(cp+l);
	l+=LOAD_REG_FROM_RBANK(cp+l,PC_PTR,242*8);
	l+=CMP_REG_IMM(cp+l,PC_PTR,0x80000180);
	fixup1Ptr=cp+l;
	fixup1Len=l;
	l+=JNE_SHORT(cp+l,0);
	l+=RETURN(cp+l);
	JNE_SHORT(fixup1Ptr,(l-fixup1Len)-2);
#endif


	l+=INC_PC_COUNTER(cp+l);

	l+=dynaLoadReg(cp+l,op0);
	l+=CMP_REG_IMM(cp+l,dynaMapToNative[op0].Reg,0);
	fixup1Ptr=cp+l;
	fixup1Len=l;
	l+=JLE_SHORT(cp+l,0);
	l+=PUSH_DWORD(cp+l,NewPC);
	dynaOpCode=dynaNextOpCode;
	l+=MainInstruction[dynaNextOpCode>>26](cp+l);
	fixup2Ptr=cp+l;
	fixup2Len=l;
	l+=JMP_SHORT(cp+l,0);
	JLE_SHORT(fixup1Ptr,(l-fixup1Len)-2);
	l+=PUSH_DWORD(cp+l,dynaPC+8);
	JMP_SHORT(fixup2Ptr,(l-fixup2Len)-2);

	l+=POP_REGISTER(cp+l,PC_PTR);
	l+=STORE_REG(cp+l,242,PC_PTR);
	l+=RETURN(cp+l);
	return(l);
}


WORD dynaOpBltzl(BYTE *cp,BYTE op0,DWORD NewPC)
{
#ifdef CHECK_NEWPC
	if(NewPC>0x80400000)
		StopMe();
#endif
	WORD l=0;
	BYTE *fixup1Ptr,*fixup2Ptr;
	WORD fixup1Len,fixup2Len;

#ifdef CHECK_INTS_FIRST

	l+=STORE_REG_TO_RBANK(cp+l,PC_PTR,242*8);
	l+=CALL_CHECKINTS(cp+l);
	l+=LOAD_REG_FROM_RBANK(cp+l,PC_PTR,242*8);
	l+=CMP_REG_IMM(cp+l,PC_PTR,0x80000180);
	fixup1Ptr=cp+l;
	fixup1Len=l;
	l+=JNE_SHORT(cp+l,0);
	l+=RETURN(cp+l);
	JNE_SHORT(fixup1Ptr,(l-fixup1Len)-2);
#endif


	l+=INC_PC_COUNTER(cp+l);

	l+=dynaLoadReg(cp+l,op0);
	l+=CMP_REG_IMM(cp+l,dynaMapToNative[op0].Reg,0);
	fixup1Ptr=cp+l;
	fixup1Len=l;
	l+=JGE_SHORT(cp+l,0);
	l+=PUSH_DWORD(cp+l,NewPC);
	dynaOpCode=dynaNextOpCode;
	l+=MainInstruction[dynaNextOpCode>>26](cp+l);
	fixup2Ptr=cp+l;
	fixup2Len=l;
	l+=JMP_SHORT(cp+l,0);
	JGE_SHORT(fixup1Ptr,(l-fixup1Len)-2);
	l+=PUSH_DWORD(cp+l,dynaPC+8);
	JMP_SHORT(fixup2Ptr,(l-fixup2Len)-2);

	l+=POP_REGISTER(cp+l,PC_PTR);
	l+=STORE_REG(cp+l,242,PC_PTR);
	l+=RETURN(cp+l);
	return(l);
}


WORD dynaOpBgezl(BYTE *cp,BYTE op0,DWORD NewPC)
{
#ifdef CHECK_NEWPC
	if(NewPC>0x80400000)
		StopMe();
#endif
	WORD l=0;
	BYTE *fixup1Ptr,*fixup2Ptr;
	WORD fixup1Len,fixup2Len;


#ifdef CHECK_INTS_FIRST

	l+=STORE_REG_TO_RBANK(cp+l,PC_PTR,242*8);
	l+=CALL_CHECKINTS(cp+l);
	l+=LOAD_REG_FROM_RBANK(cp+l,PC_PTR,242*8);
	l+=CMP_REG_IMM(cp+l,PC_PTR,0x80000180);
	fixup1Ptr=cp+l;
	fixup1Len=l;
	l+=JNE_SHORT(cp+l,0);
	l+=RETURN(cp+l);
	JNE_SHORT(fixup1Ptr,(l-fixup1Len)-2);
#endif

	l+=INC_PC_COUNTER(cp+l);

	l+=dynaLoadReg(cp+l,op0);
	l+=CMP_REG_IMM(cp+l,dynaMapToNative[op0].Reg,0);
	fixup1Ptr=cp+l;
	fixup1Len=l;
	l+=JL_SHORT(cp+l,0);
	l+=PUSH_DWORD(cp+l,NewPC);
	dynaOpCode=dynaNextOpCode;
	l+=MainInstruction[dynaNextOpCode>>26](cp+l);
	fixup2Ptr=cp+l;
	fixup2Len=l;
	l+=JMP_SHORT(cp+l,0);
	JL_SHORT(fixup1Ptr,(l-fixup1Len)-2);
	l+=PUSH_DWORD(cp+l,dynaPC+8);
	JMP_SHORT(fixup2Ptr,(l-fixup2Len)-2);

	l+=POP_REGISTER(cp+l,PC_PTR);
	l+=STORE_REG(cp+l,242,PC_PTR);
	l+=RETURN(cp+l);
	return(l);
}

WORD dynaOpBltzal(BYTE *cp,BYTE op0,DWORD NewPC)
{
#ifdef CHECK_NEWPC
	if(NewPC>0x80400000)
		StopMe();
#endif
	WORD l=0;
	BYTE *fixup1Ptr,*fixup2Ptr;
	WORD fixup1Len,fixup2Len;

#ifdef CHECK_INTS_FIRST

	l+=STORE_REG_TO_RBANK(cp+l,PC_PTR,242*8);
	l+=CALL_CHECKINTS(cp+l);
	l+=LOAD_REG_FROM_RBANK(cp+l,PC_PTR,242*8);
	l+=CMP_REG_IMM(cp+l,PC_PTR,0x80000180);
	fixup1Ptr=cp+l;
	fixup1Len=l;
	l+=JNE_SHORT(cp+l,0);
	l+=RETURN(cp+l);
	JNE_SHORT(fixup1Ptr,(l-fixup1Len)-2);
#endif


	l+=INC_PC_COUNTER(cp+l);

	l+=dynaLoadReg(cp+l,op0);
	l+=CMP_REG_IMM(cp+l,dynaMapToNative[op0].Reg,0);
	fixup1Ptr=cp+l;
	fixup1Len=l;
	l+=JGE_SHORT(cp+l,0);
	l+=PUSH_DWORD(cp+l,NewPC);
	fixup2Ptr=cp+l;
	fixup2Len=l;
	l+=JMP_SHORT(cp+l,0);
	JGE_SHORT(fixup1Ptr,(l-fixup1Len)-2);
	l+=PUSH_DWORD(cp+l,dynaPC+8);
	JMP_SHORT(fixup2Ptr,(l-fixup2Len)-2);

	dynaOpCode=dynaNextOpCode;

	l+=MainInstruction[dynaNextOpCode>>26](cp+l);
	l+=STORE_REG_TO_RBANK(cp+l,PC_PTR,31*8);		//link address

	l+=POP_REGISTER(cp+l,PC_PTR);
	l+=STORE_REG(cp+l,242,PC_PTR);
	l+=RETURN(cp+l);
	return(l);
}


WORD dynaOpBgezal(BYTE *cp,BYTE op0,DWORD NewPC)
{
#ifdef CHECK_NEWPC
	if(NewPC>0x80400000)
		StopMe();
#endif
	WORD l=0;
	BYTE *fixup1Ptr,*fixup2Ptr;
	WORD fixup1Len,fixup2Len;

#ifdef CHECK_INTS_FIRST

	l+=STORE_REG_TO_RBANK(cp+l,PC_PTR,242*8);
	l+=CALL_CHECKINTS(cp+l);
	l+=LOAD_REG_FROM_RBANK(cp+l,PC_PTR,242*8);
	l+=CMP_REG_IMM(cp+l,PC_PTR,0x80000180);
	fixup1Ptr=cp+l;
	fixup1Len=l;
	l+=JNE_SHORT(cp+l,0);
	l+=RETURN(cp+l);
	JNE_SHORT(fixup1Ptr,(l-fixup1Len)-2);
#endif


	l+=INC_PC_COUNTER(cp+l);

	l+=dynaLoadReg(cp+l,op0);
	l+=CMP_REG_IMM(cp+l,dynaMapToNative[op0].Reg,0);
	fixup1Ptr=cp+l;
	fixup1Len=l;
	l+=JL_SHORT(cp+l,0);
	l+=PUSH_DWORD(cp+l,NewPC);
	fixup2Ptr=cp+l;
	fixup2Len=l;
	l+=JMP_SHORT(cp+l,0);
	JL_SHORT(fixup1Ptr,(l-fixup1Len)-2);
	l+=PUSH_DWORD(cp+l,dynaPC+8);
	JMP_SHORT(fixup2Ptr,(l-fixup2Len)-2);

	dynaOpCode=dynaNextOpCode;

	l+=MainInstruction[dynaNextOpCode>>26](cp+l);
	l+=STORE_REG_TO_RBANK(cp+l,PC_PTR,31*8);		//link address

	l+=POP_REGISTER(cp+l,PC_PTR);
	l+=STORE_REG(cp+l,242,PC_PTR);
	l+=RETURN(cp+l);
	return(l);
}


WORD dynaOpBltzall(BYTE *cp,BYTE op0,DWORD NewPC)
{
#ifdef CHECK_NEWPC
	if(NewPC>0x80400000)
		StopMe();
#endif
	WORD l=0;
	BYTE *fixup1Ptr,*fixup2Ptr;
	WORD fixup1Len,fixup2Len;

#ifdef CHECK_INTS_FIRST

	l+=STORE_REG_TO_RBANK(cp+l,PC_PTR,242*8);
	l+=CALL_CHECKINTS(cp+l);
	l+=LOAD_REG_FROM_RBANK(cp+l,PC_PTR,242*8);
	l+=CMP_REG_IMM(cp+l,PC_PTR,0x80000180);
	fixup1Ptr=cp+l;
	fixup1Len=l;
	l+=JNE_SHORT(cp+l,0);
	l+=RETURN(cp+l);
	JNE_SHORT(fixup1Ptr,(l-fixup1Len)-2);
#endif


	l+=INC_PC_COUNTER(cp+l);

	l+=dynaLoadReg(cp+l,op0);
	l+=CMP_REG_IMM(cp+l,dynaMapToNative[op0].Reg,0);
	fixup1Ptr=cp+l;
	fixup1Len=l;
	l+=JGE_SHORT(cp+l,0);
	l+=PUSH_DWORD(cp+l,NewPC);
	dynaOpCode=dynaNextOpCode;
	l+=MainInstruction[dynaNextOpCode>>26](cp+l);
	fixup2Ptr=cp+l;
	fixup2Len=l;
	l+=JMP_SHORT(cp+l,0);
	JGE_SHORT(fixup1Ptr,(l-fixup1Len)-2);
	l+=PUSH_DWORD(cp+l,dynaPC+8);
	l+=INC_PC_COUNTER(cp+l);
	JMP_SHORT(fixup2Ptr,(l-fixup2Len)-2);

	l+=STORE_REG_TO_RBANK(cp+l,PC_PTR,31*8);		//link address

	l+=POP_REGISTER(cp+l,PC_PTR);
	l+=STORE_REG(cp+l,242,PC_PTR);
	l+=RETURN(cp+l);
	return(l);
}


WORD dynaOpBgezall(BYTE *cp,BYTE op0,DWORD NewPC)
{
#ifdef CHECK_NEWPC
	if(NewPC>0x80400000)
		StopMe();
#endif
	WORD l=0;
	BYTE *fixup1Ptr,*fixup2Ptr;
	WORD fixup1Len,fixup2Len;

#ifdef CHECK_INTS_FIRST

	l+=STORE_REG_TO_RBANK(cp+l,PC_PTR,242*8);
	l+=CALL_CHECKINTS(cp+l);
	l+=LOAD_REG_FROM_RBANK(cp+l,PC_PTR,242*8);
	l+=CMP_REG_IMM(cp+l,PC_PTR,0x80000180);
	fixup1Ptr=cp+l;
	fixup1Len=l;
	l+=JNE_SHORT(cp+l,0);
	l+=RETURN(cp+l);
	JNE_SHORT(fixup1Ptr,(l-fixup1Len)-2);
#endif


	l+=INC_PC_COUNTER(cp+l);

	l+=dynaLoadReg(cp+l,op0);
	l+=CMP_REG_IMM(cp+l,dynaMapToNative[op0].Reg,0);
	fixup1Ptr=cp+l;
	fixup1Len=l;
	l+=JL_SHORT(cp+l,0);
	l+=PUSH_DWORD(cp+l,NewPC);
	dynaOpCode=dynaNextOpCode;
	l+=MainInstruction[dynaNextOpCode>>26](cp+l);
	fixup2Ptr=cp+l;
	fixup2Len=l;
	l+=JMP_SHORT(cp+l,0);
	JL_SHORT(fixup1Ptr,(l-fixup1Len)-2);
	l+=PUSH_DWORD(cp+l,dynaPC+8);
	l+=INC_PC_COUNTER(cp+l);
	JMP_SHORT(fixup2Ptr,(l-fixup2Len)-2);

	l+=STORE_REG_TO_RBANK(cp+l,PC_PTR,31*8);		//link address

	l+=POP_REGISTER(cp+l,PC_PTR);
	l+=STORE_REG(cp+l,242,PC_PTR);
	l+=RETURN(cp+l);
	return(l);
}


WORD dynaOpBct(BYTE *cp,DWORD NewPC)
{
#ifdef CHECK_NEWPC
	if(NewPC>0x80400000)
		StopMe();
#endif
	WORD l=0;
	BYTE *fixup1Ptr,*fixup2Ptr;
	WORD fixup1Len,fixup2Len;

#ifdef CHECK_INTS_FIRST

	l+=STORE_REG_TO_RBANK(cp+l,PC_PTR,242*8);
	l+=CALL_CHECKINTS(cp+l);
	l+=LOAD_REG_FROM_RBANK(cp+l,PC_PTR,242*8);
	l+=CMP_REG_IMM(cp+l,PC_PTR,0x80000180);
	fixup1Ptr=cp+l;
	fixup1Len=l;
	l+=JNE_SHORT(cp+l,0);
	l+=RETURN(cp+l);
	JNE_SHORT(fixup1Ptr,(l-fixup1Len)-2);
#endif


	l+=INC_PC_COUNTER(cp+l);

	l+=LOAD_REG_FROM_RBANK(cp+l,NATIVE_0,CCR1+31*8);
	l+=AND_REG_IMM(cp+l,NATIVE_0,0x00800000);
	fixup1Ptr=cp+l;
	fixup1Len=l;
	l+=JZ_SHORT(cp+l,0);
	l+=PUSH_DWORD(cp+l,NewPC);
	fixup2Ptr=cp+l;
	fixup2Len=l;
	l+=JMP_SHORT(cp+l,0);
	JZ_SHORT(fixup1Ptr,(l-fixup1Len)-2);
	l+=PUSH_DWORD(cp+l,dynaPC+8);
	JMP_SHORT(fixup2Ptr,(l-fixup2Len)-2);

	dynaOpCode=dynaNextOpCode;
	l+=MainInstruction[dynaNextOpCode>>26](cp+l);

	l+=POP_REGISTER(cp+l,PC_PTR);
	l+=STORE_REG(cp+l,242,PC_PTR);
	l+=RETURN(cp+l);
	return(l);
}


WORD dynaOpBctl(BYTE *cp,DWORD NewPC)
{
#ifdef CHECK_NEWPC
	if(NewPC>0x80400000)
		StopMe();
#endif
	WORD l=0;
	BYTE *fixup1Ptr,*fixup2Ptr;
	WORD fixup1Len,fixup2Len;

#ifdef CHECK_INTS_FIRST

	l+=STORE_REG_TO_RBANK(cp+l,PC_PTR,242*8);
	l+=CALL_CHECKINTS(cp+l);
	l+=LOAD_REG_FROM_RBANK(cp+l,PC_PTR,242*8);
	l+=CMP_REG_IMM(cp+l,PC_PTR,0x80000180);
	fixup1Ptr=cp+l;
	fixup1Len=l;
	l+=JNE_SHORT(cp+l,0);
	l+=RETURN(cp+l);
	JNE_SHORT(fixup1Ptr,(l-fixup1Len)-2);
#endif


	l+=INC_PC_COUNTER(cp+l);

	l+=LOAD_REG_FROM_RBANK(cp+l,NATIVE_0,CCR1+31*8);
	l+=AND_REG_IMM(cp+l,NATIVE_0,0x00800000);
	fixup1Ptr=cp+l;
	fixup1Len=l;
	l+=JZ_SHORT(cp+l,0);
	l+=PUSH_DWORD(cp+l,NewPC);
	dynaOpCode=dynaNextOpCode;
	l+=MainInstruction[dynaNextOpCode>>26](cp+l);
	fixup2Ptr=cp+l;
	fixup2Len=l;
	l+=JMP_SHORT(cp+l,0);
	JZ_SHORT(fixup1Ptr,(l-fixup1Len)-2);
	l+=PUSH_DWORD(cp+l,dynaPC+8);
	JMP_SHORT(fixup2Ptr,(l-fixup2Len)-2);


	l+=POP_REGISTER(cp+l,PC_PTR);
	l+=STORE_REG(cp+l,242,PC_PTR);
	l+=RETURN(cp+l);
	return(l);
}


WORD dynaOpBcf(BYTE *cp,DWORD NewPC)
{
#ifdef CHECK_NEWPC
	if(NewPC>0x80400000)
		StopMe();
#endif
	WORD l=0;
	BYTE *fixup1Ptr,*fixup2Ptr;
	WORD fixup1Len,fixup2Len;

#ifdef CHECK_INTS_FIRST

	l+=STORE_REG_TO_RBANK(cp+l,PC_PTR,242*8);
	l+=CALL_CHECKINTS(cp+l);
	l+=LOAD_REG_FROM_RBANK(cp+l,PC_PTR,242*8);
	l+=CMP_REG_IMM(cp+l,PC_PTR,0x80000180);
	fixup1Ptr=cp+l;
	fixup1Len=l;
	l+=JNE_SHORT(cp+l,0);
	l+=RETURN(cp+l);
	JNE_SHORT(fixup1Ptr,(l-fixup1Len)-2);
#endif


	l+=INC_PC_COUNTER(cp+l);

	l+=LOAD_REG_FROM_RBANK(cp+l,NATIVE_0,CCR1+31*8);
	l+=AND_REG_IMM(cp+l,NATIVE_0,0x00800000);
	fixup1Ptr=cp+l;
	fixup1Len=l;
	l+=JNZ_SHORT(cp+l,0);
	l+=PUSH_DWORD(cp+l,NewPC);
	fixup2Ptr=cp+l;
	fixup2Len=l;
	l+=JMP_SHORT(cp+l,0);
	JNZ_SHORT(fixup1Ptr,(l-fixup1Len)-2);
	l+=PUSH_DWORD(cp+l,dynaPC+8);
	JMP_SHORT(fixup2Ptr,(l-fixup2Len)-2);

	dynaOpCode=dynaNextOpCode;
	l+=MainInstruction[dynaNextOpCode>>26](cp+l);

	l+=POP_REGISTER(cp+l,PC_PTR);
	l+=STORE_REG(cp+l,242,PC_PTR);
	l+=RETURN(cp+l);
	return(l);
}


WORD dynaOpBcfl(BYTE *cp,DWORD NewPC)
{
#ifdef CHECK_NEWPC
	if(NewPC>0x80400000)
		StopMe();
#endif
	WORD l=0;
	BYTE *fixup1Ptr,*fixup2Ptr;
	WORD fixup1Len,fixup2Len;

#ifdef CHECK_INTS_FIRST

	l+=STORE_REG_TO_RBANK(cp+l,PC_PTR,242*8);
	l+=CALL_CHECKINTS(cp+l);
	l+=LOAD_REG_FROM_RBANK(cp+l,PC_PTR,242*8);
	l+=CMP_REG_IMM(cp+l,PC_PTR,0x80000180);
	fixup1Ptr=cp+l;
	fixup1Len=l;
	l+=JNE_SHORT(cp+l,0);
	l+=RETURN(cp+l);
	JNE_SHORT(fixup1Ptr,(l-fixup1Len)-2);
#endif


//	l+=PUSH_REGISTER(cp+l,NATIVE_0);
//	l+=LOAD_REG_DWORD(cp+l,NATIVE_0,(BYTE *)&SneekyAddress);
//	l+=CALL_REGISTER(cp+l,NATIVE_0);
//	l+=POP_REGISTER(cp+l,NATIVE_0);


	l+=INC_PC_COUNTER(cp+l);

	l+=LOAD_REG_FROM_RBANK(cp+l,NATIVE_0,CCR1+31*8);
	l+=AND_REG_IMM(cp+l,NATIVE_0,0x00800000);
	fixup1Ptr=cp+l;
	fixup1Len=l;
	l+=JNZ_SHORT(cp+l,0);
	l+=PUSH_DWORD(cp+l,NewPC);
	dynaOpCode=dynaNextOpCode;
	l+=MainInstruction[dynaNextOpCode>>26](cp+l);
	fixup2Ptr=cp+l;
	fixup2Len=l;
	l+=JMP_SHORT(cp+l,0);
	JNZ_SHORT(fixup1Ptr,(l-fixup1Len)-2);
	l+=PUSH_DWORD(cp+l,dynaPC+8);
	JMP_SHORT(fixup2Ptr,(l-fixup2Len)-2);


	l+=POP_REGISTER(cp+l,PC_PTR);
	l+=STORE_REG(cp+l,242,PC_PTR);
	l+=RETURN(cp+l);
	return(l);
}

